diff --git a/pithos-macos/PithosPreferencesController.xib b/pithos-macos/PithosPreferencesController.xib
index ed45a36..3959f0e 100644
--- a/pithos-macos/PithosPreferencesController.xib
+++ b/pithos-macos/PithosPreferencesController.xib
@@ -1299,51 +1820,31 @@
 							<int key="NSNibBindingConnectorVersion">2</int>
 						</object>
 					</object>
-					<int key="connectionID">374</int>
+					<int key="connectionID">803</int>
 				</object>
 				<object class="IBConnectionRecord">
 					<object class="IBBindingConnection" key="connection">
-						<string key="label">enabled: manual</string>
-						<reference key="source" ref="682758465"/>
-						<reference key="destination" ref="1001"/>
+						<string key="label">enabled: selection.active</string>
+						<reference key="source" ref="893175748"/>
+						<reference key="destination" ref="994230656"/>
 						<object class="NSNibBindingConnector" key="connector">
-							<reference key="NSSource" ref="682758465"/>
-							<reference key="NSDestination" ref="1001"/>
-							<string key="NSLabel">enabled: manual</string>
+							<reference key="NSSource" ref="893175748"/>
+							<reference key="NSDestination" ref="994230656"/>
+							<string key="NSLabel">enabled: selection.active</string>
 							<string key="NSBinding">enabled</string>
-							<string key="NSKeyPath">manual</string>
-							<int key="NSNibBindingConnectorVersion">2</int>
-						</object>
-					</object>
-					<int key="connectionID">492</int>
-				</object>
-				<object class="IBConnectionRecord">
-					<object class="IBBindingConnection" key="connection">
-						<string key="label">value: manual</string>
-						<reference key="source" ref="892129196"/>
-						<reference key="destination" ref="1001"/>
-						<object class="NSNibBindingConnector" key="connector">
-							<reference key="NSSource" ref="892129196"/>
-							<reference key="NSDestination" ref="1001"/>
-							<string key="NSLabel">value: manual</string>
-							<string key="NSBinding">value</string>
-							<string key="NSKeyPath">manual</string>
-							<object class="NSDictionary" key="NSOptions">
-								<string key="NS.key.0">NSValidatesImmediately</string>
-								<boolean value="YES" key="NS.object.0"/>
-							</object>
+							<string key="NSKeyPath">selection.active</string>
 							<int key="NSNibBindingConnectorVersion">2</int>
 						</object>
 					</object>
-					<int key="connectionID">494</int>
+					<int key="connectionID">853</int>
 				</object>
 				<object class="IBConnectionRecord">
 					<object class="IBBindingConnection" key="connection">
 						<string key="label">content: arrangedObjects</string>
-						<reference key="source" ref="955904863"/>
+						<reference key="source" ref="801276999"/>
 						<reference key="destination" ref="665074782"/>
-						<object class="NSNibBindingConnector" key="connector" id="918816983">
-							<reference key="NSSource" ref="955904863"/>
+						<object class="NSNibBindingConnector" key="connector" id="712495578">
+							<reference key="NSSource" ref="801276999"/>
 							<reference key="NSDestination" ref="665074782"/>
 							<string key="NSLabel">content: arrangedObjects</string>
 							<string key="NSBinding">content</string>
@@ -1351,49 +1852,65 @@
 							<int key="NSNibBindingConnectorVersion">2</int>
 						</object>
 					</object>
-					<int key="connectionID">439</int>
+					<int key="connectionID">791</int>
 				</object>
 				<object class="IBConnectionRecord">
 					<object class="IBBindingConnection" key="connection">
 						<string key="label">selectionIndexes: selectionIndexes</string>
-						<reference key="source" ref="955904863"/>
+						<reference key="source" ref="801276999"/>
 						<reference key="destination" ref="665074782"/>
-						<object class="NSNibBindingConnector" key="connector" id="587343233">
-							<reference key="NSSource" ref="955904863"/>
+						<object class="NSNibBindingConnector" key="connector" id="171640760">
+							<reference key="NSSource" ref="801276999"/>
 							<reference key="NSDestination" ref="665074782"/>
 							<string key="NSLabel">selectionIndexes: selectionIndexes</string>
 							<string key="NSBinding">selectionIndexes</string>
 							<string key="NSKeyPath">selectionIndexes</string>
-							<reference key="NSPreviousConnector" ref="918816983"/>
+							<reference key="NSPreviousConnector" ref="712495578"/>
 							<int key="NSNibBindingConnectorVersion">2</int>
 						</object>
 					</object>
-					<int key="connectionID">441</int>
+					<int key="connectionID">793</int>
 				</object>
 				<object class="IBConnectionRecord">
 					<object class="IBBindingConnection" key="connection">
 						<string key="label">sortDescriptors: sortDescriptors</string>
-						<reference key="source" ref="955904863"/>
+						<reference key="source" ref="801276999"/>
 						<reference key="destination" ref="665074782"/>
 						<object class="NSNibBindingConnector" key="connector">
-							<reference key="NSSource" ref="955904863"/>
+							<reference key="NSSource" ref="801276999"/>
 							<reference key="NSDestination" ref="665074782"/>
 							<string key="NSLabel">sortDescriptors: sortDescriptors</string>
 							<string key="NSBinding">sortDescriptors</string>
 							<string key="NSKeyPath">sortDescriptors</string>
-							<reference key="NSPreviousConnector" ref="587343233"/>
+							<reference key="NSPreviousConnector" ref="171640760"/>
+							<int key="NSNibBindingConnectorVersion">2</int>
+						</object>
+					</object>
+					<int key="connectionID">795</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBBindingConnection" key="connection">
+						<string key="label">enabled: selection.active</string>
+						<reference key="source" ref="801276999"/>
+						<reference key="destination" ref="994230656"/>
+						<object class="NSNibBindingConnector" key="connector">
+							<reference key="NSSource" ref="801276999"/>
+							<reference key="NSDestination" ref="994230656"/>
+							<string key="NSLabel">enabled: selection.active</string>
+							<string key="NSBinding">enabled</string>
+							<string key="NSKeyPath">selection.active</string>
 							<int key="NSNibBindingConnectorVersion">2</int>
 						</object>
 					</object>
-					<int key="connectionID">443</int>
+					<int key="connectionID">844</int>
 				</object>
 				<object class="IBConnectionRecord">
 					<object class="IBBindingConnection" key="connection">
 						<string key="label">value: arrangedObjects.key</string>
-						<reference key="source" ref="604806618"/>
+						<reference key="source" ref="158961369"/>
 						<reference key="destination" ref="665074782"/>
 						<object class="NSNibBindingConnector" key="connector">
-							<reference key="NSSource" ref="604806618"/>
+							<reference key="NSSource" ref="158961369"/>
 							<reference key="NSDestination" ref="665074782"/>
 							<string key="NSLabel">value: arrangedObjects.key</string>
 							<string key="NSBinding">value</string>
@@ -1405,7 +1922,7 @@
 									<string>NSConditionallySetsEditable</string>
 									<string>NSValidatesImmediately</string>
 								</object>
-								<object class="NSMutableArray" key="dict.values">
+								<object class="NSArray" key="dict.values">
 									<bool key="EncodedWithXMLCoder">YES</bool>
 									<boolean value="NO"/>
 									<boolean value="YES"/>
@@ -1414,121 +1931,198 @@
 							<int key="NSNibBindingConnectorVersion">2</int>
 						</object>
 					</object>
-					<int key="connectionID">447</int>
+					<int key="connectionID">800</int>
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBOutletConnection" key="connection">
-						<string key="label">formatter</string>
-						<reference key="source" ref="809830821"/>
-						<reference key="destination" ref="894212860"/>
+					<object class="IBBindingConnection" key="connection">
+						<string key="label">content: arrangedObjects</string>
+						<reference key="source" ref="199904301"/>
+						<reference key="destination" ref="980977849"/>
+						<object class="NSNibBindingConnector" key="connector" id="1055079241">
+							<reference key="NSSource" ref="199904301"/>
+							<reference key="NSDestination" ref="980977849"/>
+							<string key="NSLabel">content: arrangedObjects</string>
+							<string key="NSBinding">content</string>
+							<string key="NSKeyPath">arrangedObjects</string>
+							<int key="NSNibBindingConnectorVersion">2</int>
+						</object>
 					</object>
-					<int key="connectionID">451</int>
+					<int key="connectionID">781</int>
 				</object>
 				<object class="IBConnectionRecord">
 					<object class="IBBindingConnection" key="connection">
-						<string key="label">contentDictionary: pithosBrowserController.accountNode.pithosAccount.groups</string>
-						<reference key="source" ref="980977849"/>
-						<reference key="destination" ref="1001"/>
-						<object class="NSNibBindingConnector" key="connector">
-							<reference key="NSSource" ref="980977849"/>
-							<reference key="NSDestination" ref="1001"/>
-							<string key="NSLabel">contentDictionary: pithosBrowserController.accountNode.pithosAccount.groups</string>
-							<string key="NSBinding">contentDictionary</string>
-							<string key="NSKeyPath">pithosBrowserController.accountNode.pithosAccount.groups</string>
+						<string key="label">selectionIndexes: selectionIndexes</string>
+						<reference key="source" ref="199904301"/>
+						<reference key="destination" ref="980977849"/>
+						<object class="NSNibBindingConnector" key="connector" id="94684130">
+							<reference key="NSSource" ref="199904301"/>
+							<reference key="NSDestination" ref="980977849"/>
+							<string key="NSLabel">selectionIndexes: selectionIndexes</string>
+							<string key="NSBinding">selectionIndexes</string>
+							<string key="NSKeyPath">selectionIndexes</string>
+							<reference key="NSPreviousConnector" ref="1055079241"/>
 							<int key="NSNibBindingConnectorVersion">2</int>
 						</object>
 					</object>
-					<int key="connectionID">398</int>
+					<int key="connectionID">783</int>
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
-						<string key="label">add:</string>
-						<reference key="source" ref="980977849"/>
-						<reference key="destination" ref="988713632"/>
+					<object class="IBBindingConnection" key="connection">
+						<string key="label">sortDescriptors: sortDescriptors</string>
+						<reference key="source" ref="199904301"/>
+						<reference key="destination" ref="980977849"/>
+						<object class="NSNibBindingConnector" key="connector">
+							<reference key="NSSource" ref="199904301"/>
+							<reference key="NSDestination" ref="980977849"/>
+							<string key="NSLabel">sortDescriptors: sortDescriptors</string>
+							<string key="NSBinding">sortDescriptors</string>
+							<string key="NSKeyPath">sortDescriptors</string>
+							<reference key="NSPreviousConnector" ref="94684130"/>
+							<int key="NSNibBindingConnectorVersion">2</int>
+						</object>
 					</object>
-					<int key="connectionID">452</int>
+					<int key="connectionID">785</int>
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
-						<string key="label">remove:</string>
-						<reference key="source" ref="980977849"/>
-						<reference key="destination" ref="616473836"/>
+					<object class="IBBindingConnection" key="connection">
+						<string key="label">enabled: selection.active</string>
+						<reference key="source" ref="199904301"/>
+						<reference key="destination" ref="994230656"/>
+						<object class="NSNibBindingConnector" key="connector">
+							<reference key="NSSource" ref="199904301"/>
+							<reference key="NSDestination" ref="994230656"/>
+							<string key="NSLabel">enabled: selection.active</string>
+							<string key="NSBinding">enabled</string>
+							<string key="NSKeyPath">selection.active</string>
+							<int key="NSNibBindingConnectorVersion">2</int>
+						</object>
 					</object>
-					<int key="connectionID">456</int>
+					<int key="connectionID">848</int>
 				</object>
 				<object class="IBConnectionRecord">
 					<object class="IBBindingConnection" key="connection">
-						<string key="label">contentDictionary: selection.value</string>
-						<reference key="source" ref="665074782"/>
+						<string key="label">value: arrangedObjects.key</string>
+						<reference key="source" ref="586867411"/>
 						<reference key="destination" ref="980977849"/>
 						<object class="NSNibBindingConnector" key="connector">
-							<reference key="NSSource" ref="665074782"/>
+							<reference key="NSSource" ref="586867411"/>
 							<reference key="NSDestination" ref="980977849"/>
-							<string key="NSLabel">contentDictionary: selection.value</string>
-							<string key="NSBinding">contentDictionary</string>
-							<string key="NSKeyPath">selection.value</string>
+							<string key="NSLabel">value: arrangedObjects.key</string>
+							<string key="NSBinding">value</string>
+							<string key="NSKeyPath">arrangedObjects.key</string>
 							<object class="NSDictionary" key="NSOptions">
 								<bool key="EncodedWithXMLCoder">YES</bool>
 								<object class="NSArray" key="dict.sortedKeys">
 									<bool key="EncodedWithXMLCoder">YES</bool>
+									<string>NSConditionallySetsEditable</string>
 									<string>NSValidatesImmediately</string>
-									<string>NSValueTransformerName</string>
 								</object>
-								<object class="NSMutableArray" key="dict.values">
+								<object class="NSArray" key="dict.values">
 									<bool key="EncodedWithXMLCoder">YES</bool>
+									<boolean value="NO"/>
 									<boolean value="YES"/>
-									<string>GroupMembersDictionaryTransformer</string>
 								</object>
 							</object>
 							<int key="NSNibBindingConnectorVersion">2</int>
 						</object>
 					</object>
-					<int key="connectionID">448</int>
+					<int key="connectionID">790</int>
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
-						<string key="label">add:</string>
-						<reference key="source" ref="665074782"/>
-						<reference key="destination" ref="566469435"/>
+					<object class="IBBindingConnection" key="connection">
+						<string key="label">enabled: selection.active</string>
+						<reference key="source" ref="152999980"/>
+						<reference key="destination" ref="994230656"/>
+						<object class="NSNibBindingConnector" key="connector">
+							<reference key="NSSource" ref="152999980"/>
+							<reference key="NSDestination" ref="994230656"/>
+							<string key="NSLabel">enabled: selection.active</string>
+							<string key="NSBinding">enabled</string>
+							<string key="NSKeyPath">selection.active</string>
+							<int key="NSNibBindingConnectorVersion">2</int>
+						</object>
 					</object>
-					<int key="connectionID">457</int>
+					<int key="connectionID">841</int>
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBActionConnection" key="connection">
-						<string key="label">remove:</string>
-						<reference key="source" ref="665074782"/>
-						<reference key="destination" ref="911168208"/>
+					<object class="IBBindingConnection" key="connection">
+						<string key="label">enabled: selection.active</string>
+						<reference key="source" ref="756082975"/>
+						<reference key="destination" ref="994230656"/>
+						<object class="NSNibBindingConnector" key="connector">
+							<reference key="NSSource" ref="756082975"/>
+							<reference key="NSDestination" ref="994230656"/>
+							<string key="NSLabel">enabled: selection.active</string>
+							<string key="NSBinding">enabled</string>
+							<string key="NSKeyPath">selection.active</string>
+							<int key="NSNibBindingConnectorVersion">2</int>
+						</object>
 					</object>
-					<int key="connectionID">458</int>
+					<int key="connectionID">838</int>
 				</object>
 				<object class="IBConnectionRecord">
 					<object class="IBBindingConnection" key="connection">
-						<string key="label">value: values.syncDirectoryPath</string>
-						<reference key="source" ref="193312849"/>
-						<reference key="destination" ref="700105088"/>
+						<string key="label">enabled: selection.active</string>
+						<reference key="source" ref="716775631"/>
+						<reference key="destination" ref="994230656"/>
 						<object class="NSNibBindingConnector" key="connector">
-							<reference key="NSSource" ref="193312849"/>
-							<reference key="NSDestination" ref="700105088"/>
-							<string key="NSLabel">value: values.syncDirectoryPath</string>
-							<string key="NSBinding">value</string>
-							<string key="NSKeyPath">values.syncDirectoryPath</string>
-							<object class="NSDictionary" key="NSOptions">
-								<bool key="EncodedWithXMLCoder">YES</bool>
-								<object class="NSArray" key="dict.sortedKeys">
-									<bool key="EncodedWithXMLCoder">YES</bool>
-									<string>NSValidatesImmediately</string>
-									<string>NSValueTransformerName</string>
-								</object>
-								<object class="NSMutableArray" key="dict.values">
-									<bool key="EncodedWithXMLCoder">YES</bool>
-									<boolean value="YES"/>
-									<string>DirPathFileURLTransformer</string>
-								</object>
-							</object>
+							<reference key="NSSource" ref="716775631"/>
+							<reference key="NSDestination" ref="994230656"/>
+							<string key="NSLabel">enabled: selection.active</string>
+							<string key="NSBinding">enabled</string>
+							<string key="NSKeyPath">selection.active</string>
+							<int key="NSNibBindingConnectorVersion">2</int>
+						</object>
+					</object>
+					<int key="connectionID">836</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBBindingConnection" key="connection">
+						<string key="label">enabled: selection.active</string>
+						<reference key="source" ref="815622918"/>
+						<reference key="destination" ref="994230656"/>
+						<object class="NSNibBindingConnector" key="connector">
+							<reference key="NSSource" ref="815622918"/>
+							<reference key="NSDestination" ref="994230656"/>
+							<string key="NSLabel">enabled: selection.active</string>
+							<string key="NSBinding">enabled</string>
+							<string key="NSKeyPath">selection.active</string>
+							<int key="NSNibBindingConnectorVersion">2</int>
+						</object>
+					</object>
+					<int key="connectionID">834</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBBindingConnection" key="connection">
+						<string key="label">enabled: selection.active</string>
+						<reference key="source" ref="466584774"/>
+						<reference key="destination" ref="994230656"/>
+						<object class="NSNibBindingConnector" key="connector">
+							<reference key="NSSource" ref="466584774"/>
+							<reference key="NSDestination" ref="994230656"/>
+							<string key="NSLabel">enabled: selection.active</string>
+							<string key="NSBinding">enabled</string>
+							<string key="NSKeyPath">selection.active</string>
+							<int key="NSNibBindingConnectorVersion">2</int>
+						</object>
+					</object>
+					<int key="connectionID">831</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBBindingConnection" key="connection">
+						<string key="label">enabled: selection.active</string>
+						<reference key="source" ref="995829092"/>
+						<reference key="destination" ref="994230656"/>
+						<object class="NSNibBindingConnector" key="connector">
+							<reference key="NSSource" ref="995829092"/>
+							<reference key="NSDestination" ref="994230656"/>
+							<string key="NSLabel">enabled: selection.active</string>
+							<string key="NSBinding">enabled</string>
+							<string key="NSKeyPath">selection.active</string>
 							<int key="NSNibBindingConnectorVersion">2</int>
 						</object>
 					</object>
-					<int key="connectionID">495</int>
+					<int key="connectionID">828</int>
 				</object>
 			</object>
 			<object class="IBMutableOrderedSet" key="objectRecords">
@@ -1536,7 +2130,9 @@
 					<bool key="EncodedWithXMLCoder">YES</bool>
 					<object class="IBObjectRecord">
 						<int key="objectID">0</int>
-						<reference key="object" ref="0"/>
+						<object class="NSArray" key="object" id="0">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+						</object>
 						<reference key="children" ref="1000"/>
 						<nil key="parent"/>
 					</object>
